Commit Redeemable Distribution
Triggers configuration and scheduling of a mass offer campaign on Punchh. This is used by an external platform to request Punchh to deliver offers to a target segment of guests using the Punchh mass offer campaign functionality. When using this endpoint to request scheduling of a mass offer campaign on Punchh, the mass offer campaign created will not have any marketing communication configured (email, push notification, SMS, etc.), and the mass offer campaign will only distribute a Punchh redeemable to the guests in the targeted segment.
For more information, see Headless Offers Management - Distribution
- Type: stringContent
- Type requiredThe media type of the request body. Must be
application/json. - Type: stringAcceptrequired
The media type the client expects in the response. Must be
application/json. - Type: stringAuthorizationrequired
Bearer token for admin authorization. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringcampaign
_type requiredCampaign type. For example: mass gifting campaign, coupon campaign (currently only mass gifting campaign is supported)
- Type: stringcategoryrequired
Gift type. For example: gift_redeemable, gift_fixed_point (currently only gift_redeemable is supported)
- Type: stringnamerequired
Campaign name
- Type: stringredeemable
_uuid requiredRedeemable UUID
- Type: integersegment
_id requiredSegment ID of the group of users for mass gifting
- Type: stringstart
_time requiredStart time of the campaign
- Type: stringexternal
_campaign _id ID of third-party campaign
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/campaigns \
--request POST \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--data '{
"redeemable_uuid": "test",
"segment_id": 1307202,
"category": "gift_redeemable",
"campaign_type": "mass_gifting",
"name": "API 11",
"start_time": "2021-09-14T18:44:38Z",
"external_campaign_id": "2"
}'
{
"redeemable_id": 20416,
"redeemable_image_url": "IMAGE_URL_GOES_HERE",
"redeemable_properties": "attribute",
"campaign_id": 99511494,
"external_source_id": "2",
"start_time": "2021-09-14 06:44 PM",
"timezone": "Etc/UTC"
}